/* PhBTextureProjection.C: PhBTextureProjection nodes (public source) */

#include <stdio.h>
#include "PhBTextureProjection.H"

namespace xrml {

void PhBTextureProjection::render(void)
{
  Warning(NULL, "PhBTextureProjection::render(): not yet implemented");
}

Vec3 PhBTextureProjection::object2surface(const Vec3& objectCoord,
		    Vec3 *x,
		    Vec3 *y,
		    Vec3 *z)
  {
    fprintf(stderr, "PhBTextureProjection::object2surface(): not yet implemented.\n");
    *x = *y = *z = Vec3(0.,0.,0.);
    return Vec3(0.,0.,0.);
  }

}  // namespace xrml
